//
//  Intro.m
//  post'TIM
//
//  Created by Alain on 2013-11-10.
//  Copyright (c) 2013 Alain. All rights reserved.
//
//  ============================================================================================
//  À l'usage exclusif des étudiants et étudiantes de
//  Techniques d'Intégration Multimédia
//  du cégep de Saint-Jérôme.
//  --------------------------------------------------------------------------------------------
//  Il est interdit de reproduire, en tout ou en partie, à des fins commerciales,
//  le code source, les scènes, les éléments graphiques, les classes et
//  tout autre contenu du présent projet sans l’autorisation écrite de l'auteur.
//
//  Pour obtenir l’autorisation de reproduire ou d’utiliser, en tout ou en partie,
//  le présent projet, veuillez communiquer avec:
//
//  Alain Boudreault, aboudrea@cstj.qc.ca
//
//  ============================================================================================

#import "Intro.h"

@interface Intro ()

@end

@implementation Intro


- (void)viewDidLoad
{
    [super viewDidLoad];
    self.titre1.alpha = 0;
    self.titre2.alpha = 0;
	// Do any additional setup after loading the view.
    // Animer la propriété alpha d'un UIView
    [UIView     animateWithDuration: 1.0
                              delay: 0.0
                            options: UIViewAnimationOptionCurveEaseIn
     
                         animations: ^{
                             NSLog(@"Démarrage de l'animation1...");
                             self.titre1.alpha = 1;
                         }
     
                         completion:^(BOOL finished) {
                             [UIView     animateWithDuration: 1.5
                                                       delay: 0.0
                                                     options: UIViewAnimationOptionCurveEaseIn
                              
                                                  animations: ^{
                                                      NSLog(@"Démarrage de l'animation2...");
                                                      self.titre2.alpha = 1;
                                                  }
                              
                                                  completion:^(BOOL finished) {
                                                      NSLog(@"Animation2 terminée!");
                                                  }
                              ];

                         }
     ];
    
    [self performSelector:@selector(tournerLaPage) withObject:self afterDelay:4];

}

-(void) tournerLaPage{
    [self performSegueWithIdentifier:@"versTaches" sender:self];
}

@end
