//
//  VCAjouterTache.m
//  post'TIM
//
//  Created by Alain on 2013-11-06.
//  Copyright (c) 2013 Alain. All rights reserved.
//
//  ============================================================================================
//  À l'usage exclusif des étudiants et étudiantes de
//  Techniques d'Intégration Multimédia
//  du cégep de Saint-Jérôme.
//  --------------------------------------------------------------------------------------------
//  Il est interdit de reproduire, en tout ou en partie, à des fins commerciales,
//  le code source, les scènes, les éléments graphiques, les classes et
//  tout autre contenu du présent projet sans l’autorisation écrite de l'auteur.
//
//  Pour obtenir l’autorisation de reproduire ou d’utiliser, en tout ou en partie,
//  le présent projet, veuillez communiquer avec:
//
//  Alain Boudreault, aboudrea@cstj.qc.ca
//
//  ============================================================================================

#import "VCAjouterTache.h"

@interface VCAjouterTache ()

@end

@implementation VCAjouterTache



- (void)viewDidLoad
{
    [super viewDidLoad];
    self.info = [[Tache alloc]init];
    
    if (self.modeAjouter) {
        self.titreAction.text = @"Ajouter une tâche";
    }
        else  // Modifier la tâche
        {
            self.titreAction.text = @"Modifier la tâche";
            self.leDatePicker.date = self.detailTache.date;
            self.description.text = self.detailTache.description;
            self.importance.text = self.detailTache.importance;
            self.tache.text = self.detailTache.tache;
        }
}

- (IBAction)sauvegarder:(id)sender {
    NSLog(@"sauvegarder");

    // Renseigner la tâche courante

    self.info.date = self.leDatePicker.date;
    self.info.description = self.description.text;
    self.info.tache = self.tache.text;
    NSLog(@"self.tache.text = %@", self.tache.text);
    self.info.importance = self.importance.text;
    // ***
    
    // *********************************************************************************
    // À compléter
    // ETAPE 2.2 -  Si il y a un délégué alors lancer les méthodes de délégation
    //              ajouterTache et modifierTache.
    // ---------------------------------------------------------------------------------

    // Si en modeAjouter
    if (self.modeAjouter) {
        if ([self.delegate respondsToSelector:@selector(ajouterTache:)]){
            NSLog(@"Le délégué répond à ajouterTache...");
            [self.delegate ajouterTache:self.info];
        } // selector-ajouterTache
    }  // modeAjouter
    else // Si modeModifier
    {
        if ([self.delegate respondsToSelector:@selector(modifierTache:)]){
            NSLog(@"Le délégué répond à modifierTache...");
            [self.delegate modifierTache:self.info];
        } // selector-modifierTache
    }  // modeModifier
    // ---------------------------------------------------------------------------------
    
    [self dismissViewControllerAnimated:YES completion:nil];
}  // sauvegarder


- (IBAction)canceller:(id)sender {
           [self dismissViewControllerAnimated:YES completion:nil];
}

// Délégation de UITextField
- (BOOL)textFieldShouldReturn:(UITextField *)textField{
   [textField resignFirstResponder];
    return YES;
}

@end
