//
//  VCDetail.m
//  post'TIM
//
//  Created by Alain on 2013-11-07.
//  Copyright (c) 2013 Alain. All rights reserved.
//
//  ============================================================================================
//  À l'usage exclusif des étudiants et étudiantes de
//  Techniques d'Intégration Multimédia
//  du cégep de Saint-Jérôme.
//  --------------------------------------------------------------------------------------------
//  Il est interdit de reproduire, en tout ou en partie, à des fins commerciales,
//  le code source, les scènes, les éléments graphiques, les classes et
//  tout autre contenu du présent projet sans l’autorisation écrite de l'auteur.
//
//  Pour obtenir l’autorisation de reproduire ou d’utiliser, en tout ou en partie,
//  le présent projet, veuillez communiquer avec:
//
//  Alain Boudreault, aboudrea@cstj.qc.ca
//
//  ============================================================================================

#import "VCDetail.h"

@interface VCDetail ()
@end

@implementation VCDetail

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // Utilisation d'un 'DateFormatter' pour convertir en heure locale...
    // Voir documentation: // http://userguide.icu-project.org/formatparse/datetime
    NSDateFormatter *unFormateurDeDate = [[NSDateFormatter alloc] init];
    [unFormateurDeDate setDateFormat:@"yyyy.MM.dd HH:mm"];
    NSString *dateMiseEnForme = [unFormateurDeDate stringFromDate:self.detailTache.date];
    self.tacheDate.text = dateMiseEnForme;
    self.tacheDescription.text = self.detailTache.description;
    self.tacheImportance.text = self.detailTache.importance;
    self.tacheTitre.text = self.detailTache.tache;
    
    
}

- (IBAction)retourner:(id)sender {
    [self dismissViewControllerAnimated:YES completion:nil];
}
@end
