//
//  Tache.m
//  post'TIM
//
//  Created by Alain on 2013-11-08.
//  Copyright (c) 2013 Alain. All rights reserved.
//
//  ============================================================================================
//  À l'usage exclusif des étudiants et étudiantes de
//  Techniques d'Intégration Multimédia
//  du cégep de Saint-Jérôme.
//  --------------------------------------------------------------------------------------------
//  Il est interdit de reproduire, en tout ou en partie, à des fins commerciales,
//  le code source, les scènes, les éléments graphiques, les classes et
//  tout autre contenu du présent projet sans l’autorisation écrite de l'auteur.
//
//  Pour obtenir l’autorisation de reproduire ou d’utiliser, en tout ou en partie,
//  le présent projet, veuillez communiquer avec:
//
//  Alain Boudreault, aboudrea@cstj.qc.ca
//
//  ============================================================================================

#import "Tache.h"

@implementation Tache

- (id)initWithTache:(NSDictionary*)tache
{
    self = [super init];
    if (self) {
        self.date =  tache[@"date"];
        self.tache = tache[@"tache"];
        self.description = tache[@"description"];
        self.importance = tache[@"importance"];
    }
    return self;
}

-(NSDictionary*) tacheToDictionary{

    return [[NSDictionary alloc]initWithObjectsAndKeys:
            self.tache,@"tache",
            self.date,@"date",
            self.importance,@"importance",
            self.description,@"description",
            nil];
    
}

@end
