//
//  VCAjouterTache.h
//  post'TIM
//
//  Created by Alain on 2013-11-06.
//  Copyright (c) 2013 Alain. All rights reserved.
//
//  ============================================================================================
//  À l'usage exclusif des étudiants et étudiantes de
//  Techniques d'Intégration Multimédia
//  du cégep de Saint-Jérôme.
//  --------------------------------------------------------------------------------------------
//  Il est interdit de reproduire, en tout ou en partie, à des fins commerciales,
//  le code source, les scènes, les éléments graphiques, les classes et
//  tout autre contenu du présent projet sans l’autorisation écrite de l'auteur.
//
//  Pour obtenir l’autorisation de reproduire ou d’utiliser, en tout ou en partie,
//  le présent projet, veuillez communiquer avec:
//
//  Alain Boudreault, aboudrea@cstj.qc.ca
//
//  ============================================================================================

#import <UIKit/UIKit.h>
#import "Tache.h"

// *********************************************************************************
// À compléter
// ETAPE 2.1a - Programmer un protocole et la signature de ses méthodes
// ---------------------------------------------------------------------------------
@protocol tacheDelegate <NSObject>

@optional

-(void) ajouterTache:(Tache*) detailInfo;
-(void) modifierTache:(Tache*) detailInfo;

@end
// ---------------------------------------------------------------------------------

@interface VCAjouterTache : UIViewController

// *********************************************************************************
// À compléter
// ETAPE 2.1b - Définir une propriété pour recevoir l'adresse du délégué
// ---------------------------------------------------------------------------------
@property id delegate;
// ---------------------------------------------------------------------------------


@property Tache * detailTache;
@property (nonatomic, retain) Tache * info;  // retain pour préserver le contenu au retour vers la scène précédente
@property BOOL modeAjouter;

@property (weak, nonatomic) IBOutlet UILabel *titreAction;

@property (weak, nonatomic) IBOutlet UITextField *importance;
@property (weak, nonatomic) IBOutlet UITextField *tache;

@property (weak, nonatomic) IBOutlet UITextView *description;
@property (weak, nonatomic) IBOutlet UIDatePicker *leDatePicker;


- (IBAction)sauvegarder:(id)sender;
- (IBAction)canceller:(id)sender;

@end
